Package org.apache.sysds.runtime.compress.lib

## Class CLALibReshape

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibReshape

    public class CLALibReshape
    extends Object

### Field Summary

Fields
`static int` `COMPRESSED_RESHAPE_THRESHOLD` The minimum number of rows threshold for returning a compressed output

### Method Summary

All Methods Static Methods Concrete Methods
`static MatrixBlock` `reshape​(CompressedMatrixBlock in, int rows, int cols, boolean rowwise)`
`static MatrixBlock` `reshape​(CompressedMatrixBlock in, int rows, int cols, boolean rowwise, int k)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### COMPRESSED_RESHAPE_THRESHOLD

    public static int COMPRESSED_RESHAPE_THRESHOLD

The minimum number of rows threshold for returning a compressed output

### Method Detail

#### reshape

    public static MatrixBlock reshape​(CompressedMatrixBlock in,
                                      int rows,
                                      int cols,
                                      boolean rowwise)

#### reshape

    public static MatrixBlock reshape​(CompressedMatrixBlock in,
                                      int rows,
                                      int cols,
                                      boolean rowwise,
                                      int k)